package com.yc.education.service;

import com.yc.education.model.User;

import java.util.List;

/**
 * @ClassName UserService
 * @Description TODO
 * @Author QuZhangJing
 * @Date 2019/4/1 15:07
 * @Version 1.0
 */
public interface UserService extends IService<User> {


    public User finduser(String uphone, String uemil);

    public List<User> getUserAllBysturt();

    public void updateUser(User user);

    public User selectUserById(Integer uid);

    public void delUserById(Integer id);

    public List<User> selectUserByUremark(String uremark);

    public List<User> selectUser();

    public void addUser(User user);
}
